/************************************************************

Copyright (C) 1998, Lucent Technologies
CopyLeft (L) 2005, Peter A. Cejchan (partim)
All rights reserved

************************************************************/

/* Plotting functions */

/* open the plotting output */
extern void openpl(void);

/* close the plotting output */
extern void closepl(void);

/* plot a point at x,y which becomes current */
extern void point(int x, int y);

/* coordinates to be assigned to lower left and upper right
   corners of (square) plotting area */
extern void range(int xmin, int ymin, int xmax, int ymax);


extern void scale(int invscale);

/* place text, first letter at current point, which does not change */
extern void text(char *);

/* x,y becomes current point */
extern void moveto(int x, int y);

/* draw line from current point to x,y which becomes current */
extern void lineto(int x, int y);

/* draw curve from current point to x,y which becomes current */
extern void curveto(int px, int py, int qx, int qy, int x, int y);

extern void newpath(void);
extern void closepath(void);
extern void stroke(void);
extern void fill(void);

/* specify style for drawing lines */

#define SOLID "solid"
#define DOTTED "dotted"
#define DOTDASH "dotdash"

extern void pen(char *);

#define BLACK "black"
#define RED "red"
#define GREEN "green"
#define BLUE "blue"


extern void weight(double);

extern void comment(char *, char *);

